org.activiti.engine.history

## Interface ProcessInstanceHistoryLogQuery

-     public interface ProcessInstanceHistoryLogQuery

  Allows to fetch the `ProcessInstanceHistoryLog` for a process instance. Note that every includeXXX() method below will lead to an additional query. This class is actually a convenience on top of the other specific queries such as `HistoricTaskInstanceQuery`, `HistoricActivityInstanceQuery`, ... It will execute separate queries for each included type, order the data according to the date (ascending) and wrap the results in the `ProcessInstanceHistoryLog`.
  Author:
    Joram Barrez

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `ProcessInstanceHistoryLogQuery` | `includeActivities()` The `ProcessInstanceHistoryLog` will contain the `HistoricActivityInstance` instances.
    `ProcessInstanceHistoryLogQuery` | `includeComments()` The `ProcessInstanceHistoryLog` will contain the `Comment` instances.
    `ProcessInstanceHistoryLogQuery` | `includeFormProperties()` The `ProcessInstanceHistoryLog` will contain the `HistoricFormProperty` instances.
    `ProcessInstanceHistoryLogQuery` | `includeTasks()` The `ProcessInstanceHistoryLog` will contain the `HistoricTaskInstance` instances.
    `ProcessInstanceHistoryLogQuery` | `includeVariables()` The `ProcessInstanceHistoryLog` will contain the `HistoricVariableInstance` instances.
    `ProcessInstanceHistoryLogQuery` | `includeVariableUpdates()` The `ProcessInstanceHistoryLog` will contain the `HistoricVariableUpdate` instances.
    `ProcessInstanceHistoryLog` | `singleResult()` Executes the query.

- - ### Method Detail

    - #### includeTasks

          ProcessInstanceHistoryLogQuery includeTasks()

      The `ProcessInstanceHistoryLog` will contain the `HistoricTaskInstance` instances.

    - #### includeActivities

          ProcessInstanceHistoryLogQuery includeActivities()

      The `ProcessInstanceHistoryLog` will contain the `HistoricActivityInstance` instances.

    - #### includeVariables

          ProcessInstanceHistoryLogQuery includeVariables()

      The `ProcessInstanceHistoryLog` will contain the `HistoricVariableInstance` instances.

    - #### includeComments

          ProcessInstanceHistoryLogQuery includeComments()

      The `ProcessInstanceHistoryLog` will contain the `Comment` instances.

    - #### includeVariableUpdates

          ProcessInstanceHistoryLogQuery includeVariableUpdates()

      The `ProcessInstanceHistoryLog` will contain the `HistoricVariableUpdate` instances.

    - #### includeFormProperties

          ProcessInstanceHistoryLogQuery includeFormProperties()

      The `ProcessInstanceHistoryLog` will contain the `HistoricFormProperty` instances.

    - #### singleResult

          ProcessInstanceHistoryLog singleResult()

      Executes the query.

Copyright © 2016 Alfresco. All rights reserved.